bitel.billing.server.cerbercrypt.bean

## Class PacketChannel

- java.lang.Object
- - ru.bitel.bgbilling.modules.cerbercrypt.common.bean.PacketChannel
  - - bitel.billing.server.cerbercrypt.bean.PacketChannel

- Deprecated.
  use ru.bitel.bgbilling.modules.cerbercrypt.common.bean.PacketChannel

      @Deprecated
      public class PacketChannel
      extends PacketChannel

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PacketChannel()` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getChannelID()` Deprecated.
    `java.util.Calendar` | `getDate1()` Deprecated.
    `java.util.Calendar` | `getDate2()` Deprecated.
    `int` | `getID()` Deprecated.
    `int` | `getPacketID()` Deprecated.
    `void` | `setChannelID(int channelId)` Deprecated.
    `void` | `setDate1(java.util.Calendar date1)` Deprecated.
    `void` | `setDate2(java.util.Calendar date2)` Deprecated.
    `void` | `setID(int id)` Deprecated.
    `void` | `setPacketID(int packetId)` Deprecated.

    - ### Methods inherited from class ru.bitel.bgbilling.modules.cerbercrypt.common.bean.PacketChannel

      `getChannelId, getChannelTitle, getComment, getDateFrom, getDateTo, getId, getPacketId, setChannelId, setChannelTitle, setComment, setDateFrom, setDateTo, setId, setPacketId, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PacketChannel

          public PacketChannel()

      Deprecated.

  - ### Method Detail

    - #### getChannelID

          @Deprecated
          public int getChannelID()

      Deprecated.
      Использовать `PacketChannel.getChannelId()`.
      Returns:

    - #### setChannelID

          @Deprecated
          public void setChannelID(int channelId)

      Deprecated.
      Использовать `PacketChannel.setChannelId(int)`.
      Parameters:
        `channelId` -

    - #### getDate1

          public java.util.Calendar getDate1()

      Deprecated.

    - #### setDate1

          public void setDate1(java.util.Calendar date1)

      Deprecated.

    - #### getDate2

          public java.util.Calendar getDate2()

      Deprecated.

    - #### setDate2

          public void setDate2(java.util.Calendar date2)

      Deprecated.

    - #### getID

          @Deprecated
          public int getID()

      Deprecated.
      Использовать `PacketChannel.getId()`.
      Returns:

    - #### setID

          @Deprecated
          public void setID(int id)

      Deprecated.
      Использовать `PacketChannel.setId(int)`.
      Parameters:
        `id` -

    - #### getPacketID

          @Deprecated
          public int getPacketID()

      Deprecated.
      Использовать `PacketChannel.getPacketId()`.
      Returns:

    - #### setPacketID

          @Deprecated
          public void setPacketID(int packetId)

      Deprecated.
      Использовать `PacketChannel.setPacketId(int)`.
      Parameters:
        `packetId` -